Group: Development/C
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gtkdocize libgtk+3-gir-devel libgtksourceview3-gir-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           gtef
Version:        2.0.1
Release:        alt1_3
Summary:        GTK+ Text Editor Framework

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Gtef
Source0:        https://download.gnome.org/sources/gtef/2.0/gtef-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext gettext-tools
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(uchardet)
BuildRequires:  vala vala-tools
Source44: import.info

%description
Gtef is a library that eases the development of GtkSourceView-based
text editors and IDEs. Gtef is the acronym for a.'GTK+ Text Editor
Frameworka.'.


%package        devel
Group: Development/C
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        tests
Group: Development/C
Summary:        Tests for the %{name} package
Requires:       %{name} = %{version}-%{release}

%description    tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.


%prep
%setup -q



%build
%configure --enable-installed-tests
%make_build V=1


%install
%makeinstall_std
find $RPM_BUILD_ROOT -name '*.la' -delete

%find_lang gtef-2


%files -f gtef-2.lang
%doc --no-dereference COPYING
%doc AUTHORS NEWS README
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Gtef-2.typelib
%{_libdir}/libgtef-2.so.0*

%files devel
%{_includedir}/gtef-2/
%{_libdir}/libgtef-2.so
%{_libdir}/pkgconfig/gtef-2.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Gtef-2.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/gtef-2.0/
%{_datadir}/vala/vapi/gtef-2.*

%files tests
%dir %{_libexecdir}/installed-tests
%{_libexecdir}/installed-tests/gtef-2/
%dir %{_datadir}/installed-tests
%{_datadir}/installed-tests/gtef-2/


%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1_3
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1_2
- update to new release by fcimport

* Fri Nov 24 2017 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1_1
- new version

